def Evaluate(LossFunctions, x):
    NumFunc = len(LossFunctions)
    AveLoss = 0
    for func in LossFunctions:
        loss = func(x).detach().item()
        #print(loss)
        AveLoss += loss
    return AveLoss / NumFunc